/*
 * sbrk.c
 */


#include<sys/types.h>
#include<sys/stat.h>

#include<callgate.h>
#include<sys/system.h>
#include<errno.h>
#include<string.h>
#include<signal.h>
#include<stdio.h>
#include<stropts.h>
#include<unistd.h>


void *sbrk(ptrdiff_t increment)
{
	void *begin;


	begin = (void*)(sys_info->lastAddr + 1);

	if (increment > 0)
	{
		if (brk((void*)(sys_info->lastAddr + increment)) != 0)
			return NULL;
		sys_info->lastAddr += increment;
	}

	return begin;
}
